=head1 NAME

Gtk2::LinkButton - wrapper for GtkLinkButton

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gtk2::LinkButton



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable



=cut


=head1 METHODS

=head2 widget = Gtk2::LinkButton-E<gt>B<new> ($url, $label=undef)

=over

=item * $url (string) 

=item * $label (string) 

=back

=head2 widget = Gtk2::LinkButton-E<gt>B<new_with_label> ($url, $label=undef)

=over

=item * $url (string) 

=item * $label (string) 

=back

=head2 string = $link_button-E<gt>B<get_uri> 

=head2 Gtk2::LinkButton-E<gt>B<set_uri_hook> ($func, $data=undef)

=over

=item * $func (scalar) 

=item * $data (scalar) 

=back

Pass undef for I<func> to unset the URI hook.

Note that the current implementation does B<not> return the old hook function.
This means that there is no way to restore an old hook once you overwrote it.

=head2 $link_button-E<gt>B<set_uri> ($uri)

=over

=item * $uri (string) 

=back

=head2 boolean = $link_button-E<gt>B<get_visited> 

Since: gtk+ 2.14

=head2 $link_button-E<gt>B<set_visited> ($visited)

=over

=item * $visited (boolean) 

=back

Since: gtk+ 2.14



=cut


=head1 PROPERTIES

=over

=item 'uri' (string : default undef : readable / writable)

The URI bound to this button

=item 'visited' (boolean : default false : readable / writable)

Whether this link has been visited.

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Button>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

